[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

RGBPrime2YPrimeCbCrFunctor< T > Class Template Reference

Convert non-linear (gamma corrected) R'G'B' into Y'CbCr color difference components. More...

`#include <vigra/colorconversions.hxx>`

## Public Types

typedef TinyVector< T, 3 > | argument_type
typedef NumericTraits< T >::RealPromote | component_type
typedef TinyVector< component_type, 3 > | result_type
typedef TinyVector< component_type, 3 > | value_type

## Public Member Functions

template<class V >
result_type | operator() (V const &rgb) const
| RGBPrime2YPrimeCbCrFunctor ()
| RGBPrime2YPrimeCbCrFunctor (component_type max)

## Detailed Description

template<class T>
class vigra::RGBPrime2YPrimeCbCrFunctor< T >

Convert non-linear (gamma corrected) R'G'B' into Y'CbCr color difference components.

#include <vigra/colorconversions.hxx>
Namespace: vigra

This functor basically applies the same transformation as vigra::RGBPrime2YPrimePbPrFunctor but the color components are scaled so that they can be coded as 8 bit integers with minimal loss of information:

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)

## Member Typedef Documentation

## ◆ component_type

template<class T >

typedef NumericTraits<T>::RealPromote component_type

the result's component type

## ◆ argument_type

template<class T >

typedef TinyVector<T, 3> argument_type

the functor's argument type

## ◆ result_type

template<class T >

typedef TinyVector<component_type, 3> result_type

the functor's result type

## ◆ value_type

template<class T >

typedef TinyVector<component_type, 3> value_type

Deprecated:
  use argument_type and result_type

## Constructor & Destructor Documentation

## ◆ RGBPrime2YPrimeCbCrFunctor() [1/2]

template<class T >

RGBPrime2YPrimeCbCrFunctor | ( |  | ) |

default constructor. The maximum value for each RGB component defaults to 255.

## ◆ RGBPrime2YPrimeCbCrFunctor() [2/2]

template<class T >

RGBPrime2YPrimeCbCrFunctor | ( | component_type | max | ) |

constructor

- max - the maximum value for each RGB component

## Member Function Documentation

## ◆ operator()()

template<class T >
template<class V >

result_type operator() | ( | V const & | rgb | ) | const

apply the transformation

The documentation for this class was generated from the following file:

- vigra/colorconversions.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.2